Skip to main content
PUT
/
api
/
v1
/
tokenomics
/
category
/
{id}
update entity by id
curl --request PUT \
  --url https://api.example.com/api/v1/tokenomics/category/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "allocationAddress": "<string>",
  "status": "ACTIVE"
}
'
{
  "contractId": 123,
  "name": "<string>",
  "allocationAddress": "<string>",
  "schedule": [
    {
      "tokenomicsCategoryId": 123,
      "allocatedAt": 123,
      "value": 123,
      "id": 1,
      "createdAt": 123,
      "updatedAt": 123,
      "status": "ACTIVE"
    }
  ],
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "status": "ACTIVE"
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Path Parameters

id
integer<int64>
required

Body

application/json
name
string
required

Name for the entity

allocationAddress
string
required

Tokenomics Category allocation address

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED

Response

200 - application/json

OK

contractId
integer<int64>
required

Tokenomics Category contract

name
string
required

Name for the entity

allocationAddress
string
required

Tokenomics Category allocation address

schedule
object[]
required

Tokenomics Category allocation schedule

id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED